Update Group

Update Group
Modify the details of the specified group.

Modify details of the specified group.

Request
URI
PUT
https://{api_host}/cloudapi/1.0.0/groups/{groupUrn}
COPY
Path Parameters
string
groupUrn
Required

groupUrn


Request Body
UserGroup of type(s) application/json
Optional

Show optional properties

{
    "name": "string",
    "providerType": "string"
}
{
    "name": "string",
    "id": "string",
    "description": "string",
    "orgEntityRef": {
        "name": "string",
        "id": "string"
    },
    "sourceEntityRef": {
        "name": "string",
        "id": "string"
    },
    "roleEntityRefs": [
        {
            "name": "string",
            "id": "string"
        }
    ],
    "nameInSource": "string",
    "providerType": "string"
}
Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns UserGroup of type(s) application/json;version=9.1.0
{
    "name": "string",
    "id": "string",
    "description": "string",
    "orgEntityRef": {
        "name": "string",
        "id": "string"
    },
    "sourceEntityRef": {
        "name": "string",
        "id": "string"
    },
    "roleEntityRefs": [
        {
            "name": "string",
            "id": "string"
        }
    ],
    "nameInSource": "string",
    "providerType": "string"
}

Vendor Extension

This operation contains the following vendor extensions defined in the spec:

                    [{"type":"Modern"},{"type":"Classic"}]
                
Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"name":"string","providerType":"string"}' https://{api_host}/cloudapi/1.0.0/groups/{groupUrn}